CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2005-0206

The patch for integer overflow vulnerabilities in Xpdf 2.0 and 3.0 (CVE-2004-0888) is incomplete for 64-bit architectures on certain Linux distributions such as Red Hat, which could leave Xpdf users exposed to the original vulnerabilities.
Publish Date : 2005-04-27 Last Update Date : 2010-08-21
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access User
Vulnerability Type(s) Overflow
CWE ID CWE id is not defined for this vulnerability

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat important 2005-01-20 2004-10-20
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2005:034: xpdf security update (Important) oval:com.redhat.rhsa:def:20050034 unix
RHSA-2005:034: xpdf security update (Important) oval:com.redhat.rhsa:def:2005034 unix
RHSA-2005:053: CUPS security update (Important) oval:com.redhat.rhsa:def:2005053 unix
RHSA-2005:053: CUPS security update (Important) oval:com.redhat.rhsa:def:20050053 unix
RHSA-2005:057: gpdf security update (Important) oval:com.redhat.rhsa:def:2005057 unix
RHSA-2005:057: gpdf security update (Important) oval:com.redhat.rhsa:def:20050057 unix
RHSA-2005:132: cups security update (Important) oval:com.redhat.rhsa:def:2005132 unix
RHSA-2005:132: cups security update (Important) oval:com.redhat.rhsa:def:20050132 unix
RHSA-2005:213: xpdf security update (Important) oval:com.redhat.rhsa:def:2005213 unix
RHSA-2005:213: xpdf security update (Important) oval:com.redhat.rhsa:def:20050213 unix
The patch for integer overflow vulnerabilities in Xpdf 2.0 and 3.0 (CVE-2004-0888) is incomplete for 64-bit architecture... oval:org.mitre.oval:def:11107 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2005-0206

# Product Type Vendor Product Version Update Edition Language
1 Application Ascii Ptex 3.1.4 Version Details Vulnerabilities
2 Application Cstex Cstetex 2.0.2 Version Details Vulnerabilities
3 OS Debian Debian Linux 3.0 Alpha Version Details Vulnerabilities
4 OS Debian Debian Linux 3.0 Mips Version Details Vulnerabilities
5 OS Debian Debian Linux 3.0 ARM Version Details Vulnerabilities
6 OS Debian Debian Linux 3.0 Mipsel Version Details Vulnerabilities
7 OS Debian Debian Linux 3.0 Hppa Version Details Vulnerabilities
8 OS Debian Debian Linux 3.0 PPC Version Details Vulnerabilities
9 OS Debian Debian Linux 3.0 Ia-32 Version Details Vulnerabilities
10 OS Debian Debian Linux 3.0 S-390 Version Details Vulnerabilities
11 OS Debian Debian Linux 3.0 Ia-64 Version Details Vulnerabilities
12 OS Debian Debian Linux 3.0 Version Details Vulnerabilities
13 OS Debian Debian Linux 3.0 Sparc Version Details Vulnerabilities
14 OS Debian Debian Linux 3.0 M68k Version Details Vulnerabilities
15 Application Easy Software Products Cups 1.0.4 Version Details Vulnerabilities
16 Application Easy Software Products Cups 1.0.4 8 Version Details Vulnerabilities
17 Application Easy Software Products Cups 1.1.1 Version Details Vulnerabilities
18 Application Easy Software Products Cups 1.1.4 2 Version Details Vulnerabilities
19 Application Easy Software Products Cups 1.1.4 3 Version Details Vulnerabilities
20 Application Easy Software Products Cups 1.1.4 5 Version Details Vulnerabilities
21 Application Easy Software Products Cups 1.1.4 Version Details Vulnerabilities
22 Application Easy Software Products Cups 1.1.6 Version Details Vulnerabilities
23 Application Easy Software Products Cups 1.1.7 Version Details Vulnerabilities
24 Application Easy Software Products Cups 1.1.10 Version Details Vulnerabilities
25 Application Easy Software Products Cups 1.1.12 Version Details Vulnerabilities
26 Application Easy Software Products Cups 1.1.13 Version Details Vulnerabilities
27 Application Easy Software Products Cups 1.1.14 Version Details Vulnerabilities
28 Application Easy Software Products Cups 1.1.15 Version Details Vulnerabilities
29 Application Easy Software Products Cups 1.1.16 Version Details Vulnerabilities
30 Application Easy Software Products Cups 1.1.17 Version Details Vulnerabilities
31 Application Easy Software Products Cups 1.1.18 Version Details Vulnerabilities
32 Application Easy Software Products Cups 1.1.19 Version Details Vulnerabilities
33 Application Easy Software Products Cups 1.1.19 Rc5 Version Details Vulnerabilities
34 Application Easy Software Products Cups 1.1.20 Version Details Vulnerabilities
35 OS Gentoo Linux Version Details Vulnerabilities
36 Application Gnome Gpdf 0.110 Version Details Vulnerabilities
37 Application Gnome Gpdf 0.112 Version Details Vulnerabilities
38 Application Gnome Gpdf 0.131 Version Details Vulnerabilities
39 OS KDE KDE 3.2 Version Details Vulnerabilities
40 OS KDE KDE 3.2.1 Version Details Vulnerabilities
41 OS KDE KDE 3.2.2 Version Details Vulnerabilities
42 OS KDE KDE 3.2.3 Version Details Vulnerabilities
43 OS KDE KDE 3.3 Version Details Vulnerabilities
44 OS KDE KDE 3.3.1 Version Details Vulnerabilities
45 Application KDE Koffice 1.3 Beta1 Version Details Vulnerabilities
46 Application KDE Koffice 1.3 Beta2 Version Details Vulnerabilities
47 Application KDE Koffice 1.3 Version Details Vulnerabilities
48 Application KDE Koffice 1.3 Beta3 Version Details Vulnerabilities
49 Application KDE Koffice 1.3.1 Version Details Vulnerabilities
50 Application KDE Koffice 1.3.2 Version Details Vulnerabilities
51 Application KDE Koffice 1.3.3 Version Details Vulnerabilities
52 Application KDE Kpdf 3.2 Version Details Vulnerabilities
53 OS Mandrakesoft Mandrake Linux Corporate Server 3.0 Version Details Vulnerabilities
54 OS Mandrakesoft Mandrake Linux Corporate Server 3.0 X86 64 Version Details Vulnerabilities
55 Application Pdftohtml Pdftohtml 0.32a Version Details Vulnerabilities
56 Application Pdftohtml Pdftohtml 0.32b Version Details Vulnerabilities
57 Application Pdftohtml Pdftohtml 0.33 Version Details Vulnerabilities
58 Application Pdftohtml Pdftohtml 0.33a Version Details Vulnerabilities
59 Application Pdftohtml Pdftohtml 0.34 Version Details Vulnerabilities
60 Application Pdftohtml Pdftohtml 0.35 Version Details Vulnerabilities
61 Application Pdftohtml Pdftohtml 0.36 Version Details Vulnerabilities
62 OS Redhat Enterprise Linux 2.1 Enterprise Server Version Details Vulnerabilities
63 OS Redhat Enterprise Linux 2.1 Enterprise Server Ia64 Version Details Vulnerabilities
64 OS Redhat Enterprise Linux 2.1 Workstation Version Details Vulnerabilities
65 OS Redhat Enterprise Linux 2.1 Workstation Ia64 Version Details Vulnerabilities
66 OS Redhat Enterprise Linux 2.1 Advanced Server Version Details Vulnerabilities
67 OS Redhat Enterprise Linux 2.1 Advanced Server Ia64 Version Details Vulnerabilities
68 OS Redhat Enterprise Linux 3.0 Enterprise Server Version Details Vulnerabilities
69 OS Redhat Enterprise Linux 3.0 Workstation Version Details Vulnerabilities
70 OS Redhat Enterprise Linux 3.0 Advanced Servers Version Details Vulnerabilities
71 OS Redhat Enterprise Linux Desktop 3.0 Version Details Vulnerabilities
72 OS Redhat Fedora Core Core 3.0 Version Details Vulnerabilities
73 OS Redhat Fedora Core Core 1.0 Version Details Vulnerabilities
74 OS Redhat Fedora Core Core 2.0 Version Details Vulnerabilities
75 OS Redhat Linux 9.0 I386 Version Details Vulnerabilities
76 OS Redhat Linux Advanced Workstation 2.1 Ia64 Version Details Vulnerabilities
77 OS Redhat Linux Advanced Workstation 2.1 Itanium Processor Version Details Vulnerabilities
78 OS SGI Advanced Linux Environment 3.0 Version Details Vulnerabilities
79 Application SGI Propack 3.0 Version Details Vulnerabilities
80 OS Suse Suse Linux 1.0 Version Details Vulnerabilities
81 OS Suse Suse Linux 2.0 Version Details Vulnerabilities
82 OS Suse Suse Linux 3.0 Version Details Vulnerabilities
83 OS Suse Suse Linux 4.0 Version Details Vulnerabilities
84 OS Suse Suse Linux 4.2 Version Details Vulnerabilities
85 OS Suse Suse Linux 4.3 Version Details Vulnerabilities
86 OS Suse Suse Linux 4.4 Version Details Vulnerabilities
87 OS Suse Suse Linux 4.4.1 Version Details Vulnerabilities
88 OS Suse Suse Linux 5.0 Version Details Vulnerabilities
89 OS Suse Suse Linux 5.1 Version Details Vulnerabilities
90 OS Suse Suse Linux 5.2 Version Details Vulnerabilities
91 OS Suse Suse Linux 5.3 Version Details Vulnerabilities
92 OS Suse Suse Linux 6.0 Version Details Vulnerabilities
93 OS Suse Suse Linux 6.1 Version Details Vulnerabilities
94 OS Suse Suse Linux 6.1 Alpha Version Details Vulnerabilities
95 OS Suse Suse Linux 6.2 Version Details Vulnerabilities
96 OS Suse Suse Linux 6.3 Alpha Version Details Vulnerabilities
97 OS Suse Suse Linux 6.3 Version Details Vulnerabilities
98 OS Suse Suse Linux 6.3 PPC Version Details Vulnerabilities
99 OS Suse Suse Linux 6.4 Version Details Vulnerabilities
100 OS Suse Suse Linux 6.4 I386 Version Details Vulnerabilities
101 OS Suse Suse Linux 6.4 PPC Version Details Vulnerabilities
102 OS Suse Suse Linux 6.4 Alpha Version Details Vulnerabilities
103 OS Suse Suse Linux 7.0 Version Details Vulnerabilities
104 OS Suse Suse Linux 7.0 I386 Version Details Vulnerabilities
105 OS Suse Suse Linux 7.0 PPC Version Details Vulnerabilities
106 OS Suse Suse Linux 7.0 Sparc Version Details Vulnerabilities
107 OS Suse Suse Linux 7.0 Alpha Version Details Vulnerabilities
108 OS Suse Suse Linux 7.1 Version Details Vulnerabilities
109 OS Suse Suse Linux 7.1 SPA Version Details Vulnerabilities
110 OS Suse Suse Linux 7.1 Sparc Version Details Vulnerabilities
111 OS Suse Suse Linux 7.1 X86 Version Details Vulnerabilities
112 OS Suse Suse Linux 7.1 Alpha Version Details Vulnerabilities
113 OS Suse Suse Linux 7.2 I386 Version Details Vulnerabilities
114 OS Suse Suse Linux 7.2 Version Details Vulnerabilities
115 OS Suse Suse Linux 7.3 Version Details Vulnerabilities
116 OS Suse Suse Linux 7.3 I386 Version Details Vulnerabilities
117 OS Suse Suse Linux 7.3 PPC Version Details Vulnerabilities
118 OS Suse Suse Linux 7.3 Sparc Version Details Vulnerabilities
119 OS Suse Suse Linux 8.0 Version Details Vulnerabilities
120 OS Suse Suse Linux 8.0 I386 Version Details Vulnerabilities
121 OS Suse Suse Linux 8.1 Version Details Vulnerabilities
122 OS Suse Suse Linux 8.2 Version Details Vulnerabilities
123 OS Suse Suse Linux 9.0 X86 64 Version Details Vulnerabilities
124 OS Suse Suse Linux 9.0 Version Details Vulnerabilities
125 OS Suse Suse Linux 9.1 Version Details Vulnerabilities
126 OS Suse Suse Linux 9.1 X86 64 Version Details Vulnerabilities
127 OS Suse Suse Linux 9.2 Version Details Vulnerabilities
128 OS Suse Suse Linux 9.2 X86 64 Version Details Vulnerabilities
129 Application Tetex Tetex 1.0.6 Version Details Vulnerabilities
130 Application Tetex Tetex 1.0.7 Version Details Vulnerabilities
131 Application Tetex Tetex 2.0 Version Details Vulnerabilities
132 Application Tetex Tetex 2.0.1 Version Details Vulnerabilities
133 Application Tetex Tetex 2.0.2 Version Details Vulnerabilities
134 OS Ubuntu Ubuntu Linux 4.1 PPC Version Details Vulnerabilities
135 OS Ubuntu Ubuntu Linux 4.1 Ia64 Version Details Vulnerabilities
136 Application Xpdf Xpdf 0.90 Version Details Vulnerabilities
137 Application Xpdf Xpdf 0.91 Version Details Vulnerabilities
138 Application Xpdf Xpdf 0.92 Version Details Vulnerabilities
139 Application Xpdf Xpdf 0.93 Version Details Vulnerabilities
140 Application Xpdf Xpdf 1.0 Version Details Vulnerabilities
141 Application Xpdf Xpdf 1.0a Version Details Vulnerabilities
142 Application Xpdf Xpdf 1.1 Version Details Vulnerabilities
143 Application Xpdf Xpdf 2.0 Version Details Vulnerabilities
144 Application Xpdf Xpdf 2.1 Version Details Vulnerabilities
145 Application Xpdf Xpdf 2.3 Version Details Vulnerabilities
146 Application Xpdf Xpdf 3.0 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Ascii Ptex 1
Cstex Cstetex 1
Debian Debian Linux 12
Easy Software Products Cups 20
Gentoo Linux 1
Gnome Gpdf 3
KDE KDE 6
KDE Koffice 7
KDE Kpdf 1
Mandrakesoft Mandrake Linux Corporate Server 2
Pdftohtml Pdftohtml 7
Redhat Enterprise Linux 9
Redhat Enterprise Linux Desktop 1
Redhat Fedora Core 3
Redhat Linux 1
Redhat Linux Advanced Workstation 2
SGI Advanced Linux Environment 1
SGI Propack 1
Suse Suse Linux 49
Tetex Tetex 5
Ubuntu Ubuntu Linux 2
Xpdf Xpdf 11

- References For CVE-2005-0206

http://www.mandriva.com/security/advisories?name=MDKSA-2005:041
MANDRAKE MDKSA-2005:041
http://www.mandriva.com/security/advisories?name=MDKSA-2005:052
MANDRAKE MDKSA-2005:052
http://www.mandriva.com/security/advisories?name=MDKSA-2005:044
MANDRAKE MDKSA-2005:044
http://www.mandriva.com/security/advisories?name=MDKSA-2005:043
MANDRAKE MDKSA-2005:043
http://www.mandriva.com/security/advisories?name=MDKSA-2005:042
MANDRAKE MDKSA-2005:042
http://www.mandriva.com/security/advisories?name=MDKSA-2005:056
MANDRAKE MDKSA-2005:056
http://www.redhat.com/support/errata/RHSA-2005-034.html
REDHAT RHSA-2005:034
http://www.redhat.com/support/errata/RHSA-2005-053.html
REDHAT RHSA-2005:053
http://www.redhat.com/support/errata/RHSA-2005-132.html
REDHAT RHSA-2005:132
http://www.redhat.com/support/errata/RHSA-2005-057.html
REDHAT RHSA-2005:057
http://www.redhat.com/support/errata/RHSA-2005-213.html
REDHAT RHSA-2005:213
http://xforce.iss.net/xforce/xfdb/17818
XF xpdf-pdf-bo(17818)
http://www.securityfocus.com/bid/11501
BID 11501 Xpdf PDFTOPS Multiple Integer Overflow Vulnerabilities Release Date:2008-08-06

- Metasploit Modules Related To CVE-2005-0206

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.